org.apache.ignite.compute.gridify.aop

## Class GridifySetToSetAbstractAspect

- java.lang.Object
- - org.apache.ignite.compute.gridify.aop.GridifySetToSetAbstractAspect

    public class GridifySetToSetAbstractAspect
    extends Object

Convenience adapter with common methods for different aspect implementations (AspectJ, JBoss AOP, Spring AOP). This adapter used in grid task for `GridifySetToSet` annotation.

### Constructor Summary

Constructors
Constructor and Description
`GridifySetToSetAbstractAspect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkIsSplitToJobsAllowed(GridifyRangeArgument arg, GridifySetToSet ann)` Check if split allowed for input argument.
`protected void` `checkMethodSignature(Method mtd)` Check method signature.
`protected Object` `execute(IgniteCompute compute, Class<?> cls, GridifyRangeArgument arg, GridifyNodeFilter nodeFilter, int threshold, int splitSize, long timeout)` Execute method on grid.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridifySetToSetAbstractAspect

    public GridifySetToSetAbstractAspect()

### Method Detail

#### checkMethodSignature

    protected void checkMethodSignature(Method mtd)
                                 throws IgniteCheckedException

Check method signature.

Parameters:
  `mtd` - Grid-enabled method.
Throws:
  `IgniteCheckedException` - If method signature invalid..

#### checkIsSplitToJobsAllowed

    protected void checkIsSplitToJobsAllowed(GridifyRangeArgument arg,
                                             GridifySetToSet ann)
                                      throws IgniteCheckedException

Check if split allowed for input argument. Note, that for argument with unknown elements size with default `GridifySetToSet.splitSize()` value (default value `0`) there is no ability to calculate how much jobs should be used in task execution.

Parameters:
  `arg` - Gridify argument.
  `ann` - Annotation
Throws:
  `IgniteCheckedException` - If split is not allowed with current parameters.

#### execute

    protected Object execute(IgniteCompute compute,
                             Class<?> cls,
                             GridifyRangeArgument arg,
                             GridifyNodeFilter nodeFilter,
                             int threshold,
                             int splitSize,
                             long timeout)
                      throws IgniteCheckedException

Execute method on grid.

Parameters:
  `compute` - `IgniteCompute` instance.
  `cls` - Joint point signature class.
  `arg` - GridifyArgument with all method signature parameters.
  `nodeFilter` - Node filter.
  `threshold` - Parameter that defines the minimal value below which the execution will NOT be grid-enabled.
  `splitSize` - Size of elements to send in job argument.
  `timeout` - Execution timeout.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - If execution failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018